version: "3.8"

services:
  api:
    container_name: myroadtrip-api
    build:
      context: ../..
      dockerfile: apps/api/Dockerfile
      network: host
    restart: unless-stopped
    env_file:
      - /srv/myroadtrip/repo/apps/api/.env.production
    environment:
      NODE_ENV: production
      PORT: "3000"
    network_mode: "host"
    volumes:
      - /srv/myroadtrip/serviceAccount.json:/srv/myroadtrip/serviceAccount.json:ro
